git-commit -s: no extra space when sign-offs appear at the end already.
Signed-off-by: Junio C Hamano <junkio@cox.net>
diff --git a/git-commit.sh b/git-commit.sh
index 85c278a..dc0fc3b 100755
--- a/git-commit.sh
+++ b/git-commit.sh
@@ -442,8 +442,11 @@
case "$signoff" in
t)
+ need_blank_before_signoff=
+ tail -n 1 "$GIT_DIR"/COMMIT_EDITMSG |
+ grep 'Signed-off-by:' >/dev/null || need_blank_before_signoff=yes
{
- echo
+ test -z "$need_blank_before_signoff" || echo
git-var GIT_COMMITTER_IDENT | sed -e '
s/>.*/>/
s/^/Signed-off-by: /